[pacman][icu]: pacman fails after upgrading icu=60.1
2017-11-25 10:02 PM - bill-auger

Status: fixed % Done: 0%
Priority: bug

Assignee:

Category:

Description

(originally posted by wemsras)

After update to icu 60.1-1 i can't run pacman.
This is on ARM

# pacman -S icu
resolving dependencies...
looking for conflicting packages...

Package (1) 01ld Version New Version Net Change
core/icu 59.1-2 60.1-1 0.79 MiB
Total Installed Size: 34.04 MiB
Net Upgrade Size: 0.79 MiB

Proceed with installation? [Y/n]
1/1)
1/1)

(
(
(1/1)
(
(

checking keys in keyring
checking package integrity
loading package files
1/1)
1/1) checking available disk space
Processing package changes...
(1/1) upgrading icu
Running post-transaction hooks...
(1/1) Arming ConditionNeedsUpdate...

checking for file conflicts

# pacman -Syu
pacman: error while loading shared libraries:

uch file or directory

# 1s -la libicu*

libicuuc.so0.59:

SO

SO

60.

60.

.60.1

.60.1

lrwxrwxrwx 1 root root 18 Nov 18 00:49 libicudata.so —-> libicudata.so.
lrwxrwxrwx 1 root root 18 Nov 18 00:49 libicudata.so.60 —-> libicudata.
—-rwxr—-xr—-x 1 root root 26825944 Nov 18 00:49 libicudata.so.60.1

lrwxrwxrwx 1 root root 18 Nov 18 00:49 libicuil8n.so —-> libicuil8n.so.
lrwxrwxrwx 1 root root 18 Nov 18 00:49 libicuil8n.so.60 —-> libicuil8n.
-rwxr-xr—-x 1 root root 2221776 Nov 18 00:49 libicuil8n.so0.60.1

lrwxrwxrwx 1 root root 16 Nov 18 00:49 libicuio.so —> libicuio.so.60.1
lrwxrwxrwx 1 root root 16 Nov 18 00:49 libicuio.so0.60 -> libicuio.so0.60.1
—-rwxr—-xr—-x 1 root root 42416 Nov 18 00:49 libicuio.so.60.1

lrwxrwxrwx 1 root root 18 Nov 18 00:49 libicutest.so -> libicutest.so0.60.1
lrwxrwxrwx 1 root root 18 Nov 18 00:49 libicutest.so.60 —-> libicutest.so.60.1
-rwxr—-xr—-x 1 root root 55392 Nov 18 00:49 libicutest.so0.60.1

lrwxrwxrwx 1 root root 16 Nov 18 00:49 libicutu.so —-> libicutu.so.60.
lrwxrwxrwx 1 root root 16 Nov 18 00:49 libicutu.so.60 -> libicutu.so.
-rwxr—-xr—-x 1 root root 166024 Nov 18 00:49 libicutu.so.60.1

lrwxrwxrwx 1 root root 16 Nov 18 00:49 libicuuc.so —-> libicuuc.so.60.
lrwxrwxrwx 1 root root 16 Nov 18 00:49 libicuuc.so0.60 -> libicuuc.so.
—-rwxr—-xr—-x 1 root root 1467848 Nov 18 00:49 libicuuc.so.60.1

cannot open shared object file:

No s
#1 - 2017-12-28 06:15 AM - isacdaavid

- Status changed from open to info needed
is this still an issue?

by the way, this look to me like you performed a partial upgrade . this is almost universally a bad idea.

#2 - 2017-12-28 06:46 AM - ovruni

| can't reproduce this. I'm using pacman-5.0.2-2.parabola1.2 and icu-60.2-1 in armv7h.

#3 - 2017-12-28 06:49 AM - isacdaavid

- Status changed from info needed to fixed

i'm marking it as fixed

#4 - 2017-12-28 12:06 PM - wemsras

| agree with ovruni. With the mentioned versions the problem ist gone.

Thanks for your work.
Btw i have not done a partial upgrade. The steps i shown are only for better information.
